﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XamDataChartSuperScriptLabelsCase
{
    public class MySuperscriptConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                double d = (double)value;
                string str = value.ToString();

                if (d >= 1)
                {
                    var x = str.Split('1');
                    return x[1].Length;
                }
                else
                {
                    var x = str.Split('.');

                    var y = x[1].Split('1');

                    int count = y[0].Count() + 1;

                    return "-" + count.ToString();
                }

            }
            else
            {
                return Binding.DoNothing;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
